#!/usr/bin/perl

$ServerName = "www.fi.dk";

while(<>) {
    /^(\d+.\d+.\d+.\d+) (\S+) (\S+) \[([^\]]+)\] "(\S+) ((?:[^\"?]|\\\")*)(\?(?:[^\"]|\\\")*)? (\S+)" (\d+) (\d+|-) "((?:[^\"]|\\\")*)" "([^\"]*)"/ or warn("DOD ",$_);
    $RemoteIP = $1;
    $AuthName = $2;
    $AuthUser = $3;
    $hitDateTime = $4;
    $method = $5;
    $filename = $6;
    $query = $7;
    $httpproto = $8;
    $status = $9;
    $transsize = $10;
    $referer = $11;
    $useragent = $12;
    $contenttype = "text/html";
    print join("", 25, $ServerName, $ServerName, $RemoteIP, $AuthUser, 
	       $hitDateTime, "$method $filename$query $httpproto", $filename, 
	       $status, $transsize, "0", "+", $referer, $useragent, 
	       "", "", "", "", "", "", "", "","", "0", "", $contenttype)."\n";
}
